### Enumeration

# Vte PropertyId

since: 0.78

#### Declaration

    enum Vte.PropertyId

#### Description [src]

An enum containing the IDs of the always-installed termprops.

Available since: 0.78

#### Members

`VTE_PROPERTY_ID_CURRENT_DIRECTORY_URI`

  The ID of the `VTE_TERMPROP_CURRENT_DIRECTORY_URI` termprop.

  - Value: `0`
  - Available since: 0.78
`VTE_PROPERTY_ID_CURRENT_FILE_URI`

  The ID of the `VTE_TERMPROP_CURRENT_FILE_URI` termprop.

  - Value: `1`
  - Available since: 0.78
`VTE_PROPERTY_ID_XTERM_TITLE`

  The ID of the `VTE_TERMPROP_XTERM_TITLE` termprop.

  - Value: `2`
  - Available since: 0.78
`VTE_PROPERTY_ID_CONTAINER_NAME`

  The ID of the `VTE_TERMPROP_CONTAINER_NAME` termprop.

  - Value: `3`
  - Available since: 0.78
`VTE_PROPERTY_ID_CONTAINER_RUNTIME`

  The ID of the `VTE_TERMPROP_CONTAINER_RUNTIME` termprop.

  - Value: `4`
  - Available since: 0.78
`VTE_PROPERTY_ID_CONTAINER_UID`

  The ID of the `VTE_TERMPROP_CONTAINER_UID` termprop.

  - Value: `5`
  - Available since: 0.78
`VTE_PROPERTY_ID_SHELL_PRECMD`

  The ID of the `VTE_TERMPROP_SHELL_PRECMD` termprop.

  - Value: `6`
  - Available since: 0.78
`VTE_PROPERTY_ID_SHELL_PREEXEC`

  The ID of the `VTE_TERMPROP_SHELL_PREEXEC` termprop.

  - Value: `7`
  - Available since: 0.78
`VTE_PROPERTY_ID_SHELL_POSTEXEC`

  The ID of the `VTE_TERMPROP_SHELL_POSTEXEC` termprop.

  - Value: `8`
  - Available since: 0.78
`VTE_PROPERTY_ID_PROGRESS_HINT`

  The ID of the `VTE_TERMPROP_PROGRESS_HINT` termprop. Since: 0.80.

  - Value: `9`
  - Available since: 0.78
`VTE_PROPERTY_ID_PROGRESS_VALUE`

  The ID of the `VTE_TERMPROP_PROGRESS_VALUE` termprop. Since: 0.80.

  - Value: `10`
  - Available since: 0.78
`VTE_PROPERTY_ID_ICON_COLOR`

  The ID of the `VTE_TERMPROP_ICON_COLOR` termprop. Since: 0.80.

  - Value: `11`
  - Available since: 0.78
`VTE_PROPERTY_ID_ICON_IMAGE`

  The ID of the `VTE_TERMPROP_ICON_IMAGE` termprop. Since: 0.80.

  - Value: `12`
  - Available since: 0.78